Jump to content

Search the Community

Showing results for tags 'java'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Categories

  • Claris Engage Vendor Discounts

Community Forums

  • The New Claris Platform
  • Community Resources
    • Community Videos, Tips, & Techniques, Articles.
    • FileMaker Marketplace Discussions
  • FileMaker Platform
    • FileMaker Interface Features
    • FileMaker Schema & Logical Functions
    • FileMaker Go for iPad and iPhone
    • FileMaker and the Internet
    • FileMaker Pro 19
    • FileMaker Pro 18 Advanced
  • FileMaker Server Administration
    • FileMaker Server 19
    • FileMaker Server 19 (Linux)
    • FileMaker Cloud
    • FileMaker Custom SSL Certificates
    • oAuth and External Server Authentication
    • Zabbix Server Monitoring
    • Previous Version Server Discussions
  • JavaScript Integration
    • Java Script and the Web Viewer
    • Carafe.FM
    • Widget Studio
  • Brain Food
    • Security Concepts
    • The Left Brain
    • Upgrading & Migration
    • Data Analysis
    • Development Standards
    • The Separation Model
    • Relational Database Theory
    • Damaged / Corrupt File Problems
    • Hardware & Networking
    • Product Ideas
  • FMForums Affiliates & Sponsors
    • Productive Computing Support Forums
    • 360 Works Official Product Support Forums
    • Geist Interactive Product Support Forums
    • FileMaker Vendors
    • FileMaker Training Resources
  • FileMaker Classifieds
    • Announcements of FileMaker Product, Services or Resources
    • Classifieds
    • Tools Of The Trade
  • FM Forums Operations
    • FM Forums Feedback & Site News
  • FileMaker Friday Night Chat's Topics

Blogs

  • Captain's Blog
  • FileMaker Weetbicks
  • FileMaker Security Blog
  • The FileMaker Rift
  • HOnza's Bits @ FMForums
  • SeedCode
  • FileMaker Hacks
  • Skeleton Key's Blog
  • Wing Forward Solutions
  • 360Works Articles and Tutorials
  • GoBillit
  • Filemaker - an amateur's view
  • Linear Blue
  • Surya Kanta Mekap's Blog
  • eXcelisys' Blog
  • Manjit Behera
  • Blue Feather's Blog
  • RCC's FileMaker News and Bits
  • Thorsen Consulting
  • DB Services Blog
  • FileMaker Magazine
  • Eye on FileMaker
  • Dev Talk
  • The Philosophy of FileMaker
  • 1-more-blog
  • Productive Computing
  • Geist Interactive
  • Soliant Consulting

Categories

  • White Papers
  • Infographics
  • Samples
  • Add-ons
  • FMGo
  • Solutions
  • Tutorials
  • Plug-Ins

Product Groups

  • Workplace Innovation Platform
  • Site Advertising
  • Development & Hosting

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


Title


Industry


Location


Interests


Website URL


Skype


MSN


Yahoo


OS Version

  1. After moving the .fmx64 plugin file to the Extensions folder, FileMaker Pro (v18.0.3 and Windows 10) shows a message saying "Unable to launch plug-in child process JVM". This is happening for both the Email plugin and the FTPeek plugin.
  2. I am evaluating 360works email plugin and when getting messages from an office365 server I get the following error "java.lang.ArrayIndexOutOfBoundsException: -99"...If I click OK it reduces to "98" but then increases: I assume its retrieving messages and this is the count. Any ideas?
  3. Are any of the announced distribution/release changes at https://java.com/en/download/release_notice.jsp going to impact our ability to use our plugins made with ScriptMaster?
  4. I recently installed Mavericks in our computers and since then we cannot open Filemaker if we have installed 360works plugins due to a java error. It seems that the system does not recognize we have Java installed. This is what java- version says about the system: ebpMac27:~ ebadia$ java -version java version "1.6.0_65" Java SE Runtime Environment (build 1.6.0_65-b14-462-11M4609 Java HotSpot 64-Bit Server VM (build 20.65-b04-462, mixed mode) The error we got on opening Filemaker is: Error starting Java 360Works plugins require Java 1.5 or later, which is not installed on this c
  5. When calling the function EmailSetBodyFile(url, 1) I receive the error - Java.security.cert.CertificateException No subject alternative DNS name matching conta.cc found. I was using the function to send a url that points to a constant contact page. I have done this many times in the past and can still successfully perform this function on other constant contact pages but not this particular one for some reason. https://conta.cc/2ug3M0P Any help?? Thanks!
  6. I'm running FMS 16 on macOS 10.12.6. FMS is up and running, and I can access the hosted databases. But I can't get into the admin console. When I enter the credentials, it just sits there. It doesn't throw an error. It just doesn't react at all. Same thing when I intentionally enter an incorrect passcode. No error. Same behavior whether I use Firefox or Safari. Same behavior whether I try to come in remotely, or if I work directly from the server as localhost. So, something is wrong with web services rather than FMS, right?
  7. Hello, Im having issue regarding configuring Mirror Sync. I had a working configuration and successfully was able to sync. Then I added SQL filtering to the setup and again I got correct response. Then again I wanted to add to my configuration other things but then I ran into a problem: Error while advancing to next page: java.lang.RuntimeException:java.sql.SQLException:Error -1:Unknown error. There is no way for me now to configure any more. I have removed my configuration without any luck and also I have installed Mirror Sync again. Nothing works. Any advice? Are ther
  8. I'm know I'm way behind the curve but I'm finally at least moving up to FMPA v13. I'm having major issues getting my same java to work. Since this is the Scriptmaster section let me address my java issue that worked fine in v10 .......... I've copied the java code from Scriptmaster under v10 I pasted it into Scriptmaster under v13 I added the jars Run script I now get a .... java.lang.NoClassDefFoundError: Could not initialize class com.amazonaws.mws.MarketplaceWebServiceClient I'm at a loss .... Works fine in v10. Anybody able to offer any ideas
  9. I have been using the the scriptmaster plugin for sometime on a previous Mac, specifically for the Rotate Image function. The instalation on the previous Mac would have been FMP12 advanced, Scriptmaster plugin from about Sept 2015, and Mac OS 10.11.xx My solution used the function pasted into the startup script and although it wasn't fast, worked fine. I have now made a new installation of the Scriptmater Plugin, v5.05 on a new Mac running OS 10.12.5, FMP advanced 13, and there are a couple of strange things that appear to be assocaited with Java: 1. When I launch FMP it does not
  10. since there is no need for SM5.x to install java: does the build in java support Java Unlimited Juristication Policy for 256bit encryption?
  11. I read that the new 3.01 version does not require Java. When I run FMPAv16 on my Mac (10.11.6) and use the sample Email database it works just fine and I see nothing related to Java. I had the older v2.12 plugin installed on here and have just updated to v3.01 today. When I run FMPAv16 on a different Mac (10.11.6) and install the v3.01 plugin (never had the plugin installed on this machine before today) and run the sample database a Java App runs without any windows, Just visible in the lower right dock and its single menu is titled "Java" Any ideas as to this oddity?
  12. I have several customers that are still running Wondows Version 9, which is a version out of date. On attempting to load a 64 bit, ScriptMaster generated Plug-In, I am seeing a dialog that ScriptMaster can't run without Java 64 bit. On installing Java, there is no change and the same issue persists. This goes as far as literally crashing FileMaker. Has anyone experienced this? Although it's really a Java issue, and the OS is out of date, I have two important customers running Windows 9.
  13. Hi all, I recently upgraded my Filemaker Server 13 to Filemaker Server 14. To get the new version to install, I had to downgrade my Java8 from u113 to u67 (separately installing the old Java version, not allowing the FMS installer to install Java itself). I also had to fiddle around to make sure it was running the httpd which comes with FMS and not the one bundled with Mac OS X El Capitan. My question is, am I now save to upgrade Java back to the latest version. I'm not anticipating needing to install FMS14 anytime soon, but does the "Deployment" part of FMS use Java, a
  14. When launching FMPA 14 with Scribe 2.15 installed (also occurred with 2.091) I get the error: However it is installed. Java 8 had been been previously installed as well but has been removed from the system. The error persists. FileMaker Pro Advanced 14.04 (32-bit) Scribe 2.15 Mac OS X 10.11.2 java version "1.6.0_65" Java(TM) SE Runtime Environment (build 1.6.0_65-b14-468-11M4833) Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-468, mixed mode) We also tried two clean installs of FileMaker on new machines and are unable to replicate the error
  15. Hi, I am very new to using ScriptMaster and have run into some problems when trying to run a few test lines of java. I am trying to create a module that will modify AcroFields on a PDF document, and am therefore going to be using the iText library. I have added this in the Jar Libraries section. Here is the script I am trying to run: import com.itextpdf.kernel.pdf.PdfDocument; import com.itextpdf.kernel.pdf.PdfWriter; import com.itextpdf.kernel.pdf.PdfReader; import com.itextpdf.forms.PdfAcroForm; //Initialize PDF document PdfDocument pdf = new PdfDocument(new PdfReader("C:/Users/And
  16. Once again, but now with more urgency, please can you indicate a timeframe for updating ScriptMaster to be able to use later versions of Java on the Mac. There is a completely brand new version of iText (in readiness for PDF 2.0) which has a whole new set of libraries, the code I use needs rewriting in some places, but more importantly is giving MajorMinor version errors as soon as I write my first line of code. I already have several functions I can not move but this is somewhat of a killer for me, given that is it my specialist subject... This has been rumbling on for too long
  17. I am running Windows 10, FMP Advanced 14 with the 360Works Email plugin version 2.14 64-bit installed and registered (I have a license). I am able to connect, successfully build a message, but it won't send. I get this error most of the time (from EmailLastError): "java.lang.NullPointerException" and on a few occasions I got a simple "EOF". I made sure that I am using a valid Port and that I have appended it to the SMTP server name with a colon. I checked and I have the most up to date version of Java running. I'm totally stumped. I used this plug-in with good results in my
  18. FM Server 13 et Plugin Email incompatibles J'essaie depuis une semaine de faire fonctionner le plugin Email avec FM Server 13 (OSX Mavericks, plugin 2.03). Le plugin requiert Java 1.6. J'ai d'abord installé FM Pro (non serveur) pour tester, l'installation de Java 1.6 est automatique. Le plugin fonctionne. Mais l'installation (et le démarrage) de FM Server n'est possible que si on installe Java 1.7. Cela remplace alors la version 1.6 et le plugin ne fonctionne plus. Avez-vous une solution, merci… Olivier Aubert _____________ (google trad) FM Server 13 and Plugin
  19. I have a client with several iPads in the field. One today failed to sync, though the others have been syncing fine. I had him close the FileMaker file, quit Go and all other apps, and restart his iPad before syncing again. Same error. I restarted the WPE and the Tomcat server. Same error. Had him restart again while I restarted WPE and Tomcat. Same error. Others had since synced fine. Below is the error we are getting. I redacted the domain and client's IP address. I told him to click "Report Bug" so you should have that.
  20. Hi I have been trying to deploy 360works enterprise version onto a filemaker server. It is filemaker server 9 advanced running on leopard server (10.5) The plug-in will not run properly because the mac server doesn't have a 32 bit version of java. It now appears that this is no longer available for this version of the operating system Does anyone know whether it is possible to get an older 32 bit version of java that will run on OSX 10.5 There isn't any chance of being able to update the op system in the near future. Many thanks for reading
  21. Has anyone had success using the zxing library to read/decode bar codes with ScriptMaster ? I generate them just fine using the Barcode4J library. I think I am having dependency issues (take a pill...) and not much forward momentum getting it to work. Examples, suggestions or commiseration are greatly accepted. regards... Bob Minteer
  22. Hello, I made a set of classes in Java, version 1.8. When I try to register a function the following message appears: "You cannot register this function, because it will not compile: java.lang.UnsupportedClassVersionError: br/com/himaker/cte/webservice/WebService : Unsupported major.minor version 52.0" Note: this error occurs only on Mac OS X. On Windows works fine. ScriptMaster version: 4.206 Logs in attached. Tanks Josimar 360Plugins_FMAdvanced.log.zip
  23. (Apologies if this is made clear somewhere else, I can not seem to find an answer here or anywhere) Thank you for looking at this and for any feedback. I am not sure if my issue is a bug or a feature... I have just created my first plugin. It requires 2 jar files which are not included with SM. It seems the function will not work unless I have the 2 jar files in a directory where java expects to find jar files (by default, or some other location which has been added to the path file). This is not an issue on my development machine, but my intention is to make this portable. So the
  24. I am getting complaints and errors that are matching what I am seeing here for Windows 8 running IE10 and Opera12.  (I got this screenshot from the Microsoft browser test page, but it looks the same as one a client sent.)  The page is loading fine in FireFox and Chrome on both windows and Mac -- Is there something I can do?  Known issue?  -- Don  site: http://mobayen.macusa.net/mobayen-results.php  Â
  25. Greetings all, I have a brand new server install as follows... Windows Server 2008 R2 Datacenter, SP1, 64 Bit Filemaker Server 13.0.1, 64 bit install (32 bit unavailable under 64 bit OS, as I understand it) FTPeek with Enterprise license Java (as 32 and 64 bit installs) The FTPeek plugin is reported to require Java 1.5 or greater, 32 bit. Installing Java 32 bit, cripples the FMS Admin console, both on the server itself, and thru remote access, both of which worked under 64 bit Java. Reverting back to 64 bit Java fixes the admin console access, but won't allow the plugin to l
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.